Update buyer advertiser mapping
curl --request PATCH \
--url https://api.interchange.io/api/v2/storefront/esa/{esaId}/buyer-advertiser-mappings/{mappingId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"brandHouse": "<string>",
"brandId": "<string>",
"gamAdvertiserId": "<string>",
"principalId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/esa/{esaId}/buyer-advertiser-mappings/{mappingId}"
payload = {
"brandHouse": "<string>",
"brandId": "<string>",
"gamAdvertiserId": "<string>",
"principalId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brandHouse: '<string>',
brandId: '<string>',
gamAdvertiserId: '<string>',
principalId: '<string>'
})
};
fetch('https://api.interchange.io/api/v2/storefront/esa/{esaId}/buyer-advertiser-mappings/{mappingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"operatorDomain": "<string>",
"gamAdvertiserId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"brandHouse": "<string>",
"brandId": "<string>",
"principalId": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront Ad Server Buyer Routing
Update buyer advertiser mapping
Update an existing buyer-to-GAM advertiser routing mapping for a Google Ad Manager-backed ad server source.
PATCH
/
esa
/
{esaId}
/
buyer-advertiser-mappings
/
{mappingId}
Update buyer advertiser mapping
curl --request PATCH \
--url https://api.interchange.io/api/v2/storefront/esa/{esaId}/buyer-advertiser-mappings/{mappingId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"brandHouse": "<string>",
"brandId": "<string>",
"gamAdvertiserId": "<string>",
"principalId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/esa/{esaId}/buyer-advertiser-mappings/{mappingId}"
payload = {
"brandHouse": "<string>",
"brandId": "<string>",
"gamAdvertiserId": "<string>",
"principalId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brandHouse: '<string>',
brandId: '<string>',
gamAdvertiserId: '<string>',
principalId: '<string>'
})
};
fetch('https://api.interchange.io/api/v2/storefront/esa/{esaId}/buyer-advertiser-mappings/{mappingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"operatorDomain": "<string>",
"gamAdvertiserId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"brandHouse": "<string>",
"brandId": "<string>",
"principalId": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Ad server source connection id. The wire field remains esaId for API compatibility.
Required range:
0 < x <= 9007199254740991Example:
123
Buyer advertiser mapping id.
Minimum string length:
1Example:
"map-abc"
Body
application/json